---
layout: post
title: "Programming Environment on Linux"
date: 2013-08-06
comments: true
published: true
categories: [linux]
---

A guide to a nice development environment on GNU/Linux with Debian based
CrunchBang.

![desktop screenshot](/images/vim-crunch.png)

<!--more-->

For the last few months I've been using CrunchBang, a Debian based Linux/GNU
distribution. CrunchBang uses the no-frills OpenBox window manager and being
Debain it uses `apt-get` for package management.

I'm running Crunch on a newish laptop with a SSD harddrive. It boots in a
matter of seconds.


## Specs

Fish shell, with oh-my-fish.

Solarized color theme for Terminaor and Vim

turbo-vim

My dotfiles, inc. tmux.conf, conkyrc

Terminator:

* Turned off borders. Without borders the window can be resized and
moved by holding Alt + Right/Left mouse button.
* font, Inconsolata-dz 10


A wallpaper from Deviant Art.

